Bug 485015 - Review Request: perl-Class-C3-Adopt-NEXT - Reduce one's dependency on NEXT
Review Request: perl-Class-C3-Adopt-NEXT - Reduce one's dependency on NEXT
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Class-C3-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 01:34 EST by Chris Weyl
Modified: 2010-08-25 13:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 15:38:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-11 01:34:30 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Class-C3-Adopt-NEXT.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Class-C3-Adopt-NEXT-0.06-1.fc10.src.rpm

Description:
NEXT was a good solution a few years ago, but isn't any more. It's
slow, and the order in which it re-dispatches methods appears random
at times. It also encourages bad programming practices, as you end up
with code to redispatch methods when all you really wanted to do was
run some code before or after a method fired.  However, if you have a large
application, then weaning yourself off 'NEXT' isn't easy.This module is
intended as a drop-in replacement for NEXT, supporting the same interface,
but using Class::C3 to do the hard work. You can then write new code
without 'NEXT', and migrate individual source files to use 'Class::C3'
or method modifiers as appropriate, at whatever pace you're comfortable with.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1118777

Additional Comment:

This is a new requirement of Catalyst::Runtime 5.8000, aka "Catamoose"
Comment 1 Parag AN(पराग) 2009-02-11 02:13:34 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1118777
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
bff4d7a48dd6ee28f182c7ac2095d6d5  Class-C3-Adopt-NEXT-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=20,  0 wallclock secs ( 0.04 usr  0.02 sys +  0.29 cusr  0.05 csys =  0.40 CPU)
+ Package perl-Class-C3-Adopt-NEXT-0.06-1.fc11 =>
  Provides: perl(Class::C3::Adopt::NEXT) = 0.06
  Requires: perl(MRO::Compat) perl(NEXT) perl(strict) perl(warnings) perl(warnings::register)

APPROVED.
Comment 2 Chris Weyl 2009-02-11 10:04:26 EST
New Package CVS Request
=======================
Package Name: perl-Class-C3-Adopt-NEXT
Short Description: Reduce one's dependency on NEXT
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-13 01:59:45 EST
cvs done.
Comment 4 Chris Weyl 2009-02-13 15:38:19 EST
Thanks for the review! :-)
Comment 5 Iain Arnell 2010-08-25 01:38:19 EDT
Package Change Request
======================
Package Name: perl-Class-C3-Adopt-NEXT
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2010-08-25 13:24:03 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.